#
# spec file for package thunar-plugin-shares
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define thunar_version 1.2.0
%define plugin_name thunar-shares-plugin

Name:           thunar-plugin-shares
Url:            http://goodies.xfce.org/projects/thunar-plugins/thunar-shares-plugin
Version:        0.2.0
Release:        18.2
Source0:        http://archive.xfce.org/src/thunar-plugins/%{plugin_name}/0.2/%{plugin_name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM thunar-plugin-shares-0.2.0-port-to-thunarx-2.patch gber@opensuse.org -- Port of thunar-shares-plugin to thunarx-2 from upstream git.
Patch0:         thunar-plugin-shares-0.2.0-port-to-thunarx-2.patch
# PATCH-FIX-UPSTREAM thunar-plugin-shares-0.2.0-fix-missing-include.patch gber@opensuse.org -- Fix missing include of glib/gi18n-lib.h for gettext support from upstream git.
Patch1:         thunar-plugin-shares-0.2.0-fix-missing-include.patch
Summary:        Thunar Plugin for Sharing Files Using Samba
License:        GPL-2.0+
Group:          System/GUI/XFCE
BuildRequires:  intltool
BuildRequires:  xfce4-dev-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(thunarx-2)
Requires:       samba
Requires:       thunar >= %{thunar_version}
Recommends:     %{name}-lang = %{version}
Provides:       %{plugin_name} = %{version}
Obsoletes:      %{plugin_name} < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Thunar Shares Plugin allows for quickly sharing a directory using Samba
from within Thunar without requiring root access.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
xdt-autogen
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

rm -rf %{buildroot}%{_libdir}/thunarx-2/thunar-shares-plugin.la

# remove unsupported locales
rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{?no_lang_C}

%clean
rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/thunarx-2/thunar-shares-plugin.so

%files lang -f %{plugin_name}.lang

%changelog
* Tue Apr 17 2012 gber@opensuse.org
- use upstream tarball instead of recompressed source
* Tue Mar 27 2012 gber@opensuse.org
- added source URL
* Thu Mar 22 2012 gber@opensuse.org
- corrected URL
- require samba, it does not make much sense without it
- updated build dependencies
* Thu Mar 10 2011 gber@opensuse.org
- new package (split off from thunar-plugins)
